#include<bits/stdc++.h>

using namespace std;


int main(){
    //ios_base::sync_with_stdio(false);
    int n, q, med, res = 0;
    cin >> n >> q;
    vector<int>a(n);
    for (int i = 0; i < n; i++)
    {
        cin >> a[i];
    }
    sort(a.begin(), a.end());
    vector<int>::iterator dg,gg;
    for (int i = 0; i < q; i++)
    {
        cin >> med;
        auto gg = upper_bound(a.begin(), a.end(), med);
        auto dg = lower_bound(a.begin(), a.end(), med);
        cout << gg << " " << dg<<endl;
        if(a.size() - gg > a.size() - dg) res = a.size()-dg;
        else if(a.size() - gg < a.size() - dg) res = a.size()-gg;
        else res = 0;
        cout << res << endl;
    }
    

    return 0;
}